# deprecate.c File Reference

`#include "magick/studio.h"`
`#include "magick/property.h"`
`#include "magick/blob.h"`
`#include "magick/blob-private.h"`
`#include "magick/client.h"`
`#include "magick/color.h"`
`#include "magick/color-private.h"`
`#include "magick/colorspace.h"`
`#include "magick/composite.h"`
`#include "magick/composite-private.h"`
`#include "magick/constitute.h"`
`#include "magick/deprecate.h"`
`#include "magick/draw.h"`
`#include "magick/draw-private.h"`
`#include "magick/effect.h"`
`#include "magick/exception.h"`
`#include "magick/exception-private.h"`
`#include "magick/geometry.h"`
`#include "magick/identify.h"`
`#include "magick/image-private.h"`
`#include "magick/list.h"`
`#include "magick/log.h"`
`#include "magick/memory_.h"`
`#include "magick/magick.h"`
`#include "magick/monitor.h"`
`#include "magick/paint.h"`
`#include "magick/pixel.h"`
`#include "magick/pixel-private.h"`
`#include "magick/quantize.h"`
`#include "magick/random_.h"`
`#include "magick/resource_.h"`
`#include "magick/semaphore.h"`
`#include "magick/segment.h"`
`#include "magick/splay-tree.h"`
`#include "magick/string_.h"`
`#include "magick/threshold.h"`
`#include "magick/transform.h"`
`#include "magick/utility.h"`

## Defines

#define | MaxStacksize (1UL << 15)
#define | PushSegmentStack(up, left, right, delta)
#define | OpaqueImageTag "Opaque/Image"
#define | RandomChannelThresholdImageText " RandomChannelThreshold image... "
#define | ThresholdImageTag "Threshold/Image"
#define | ThresholdImageTag "Threshold/Image"
#define | TransparentImageTag "Transparent/Image"

## Functions

MagickExport void * | AcquireMemory (const size_t size)
MagickExport char * | AllocateString (const char *source)
MagickExport unsigned int | ChannelImage (Image *image, const ChannelType channel)
MagickExport unsigned int | ChannelThresholdImage (Image *image, const char *level)
MagickExport MagickBooleanType | ClipPathImage (Image *image, const char *pathname, const MagickBooleanType inside)
MagickExport MagickBooleanType | CloneImageAttributes (Image *image, const Image *clone_image)
MagickExport void * | CloneMemory (void *destination, const void *source, const size_t size)
MagickExport MagickBooleanType | ColorFloodfillImage (Image *image, const DrawInfo *draw_info, const PixelPacket target, const long x_offset, const long y_offset, const PaintMethod method)
MagickExport MagickBooleanType | DeleteImageAttribute (Image *image, const char *key)
MagickExport unsigned int | DeleteImageList (Image *images, const long offset)
MagickExport MagickBooleanType | DeleteMagickRegistry (const long id)
MagickExport void | DestroyMagickRegistry (void)
MagickExport MagickBooleanType | DescribeImage (Image *image, FILE *file, const MagickBooleanType verbose)
MagickExport void | DestroyImageAttributes (Image *image)
MagickExport void | DestroyImages (Image *image)
MagickExport void | DestroyMagick (void)
MagickExport unsigned int | DispatchImage (const Image *image, const long x_offset, const long y_offset, const unsigned long columns, const unsigned long rows, const char *map, const StorageType type, void *pixels, ExceptionInfo *exception)
MagickExport Image * | FlattenImages (Image *image, ExceptionInfo *exception)
MagickExport MagickBooleanType | FormatImageAttributeList (Image *image, const char *key, const char *format, va_list operands)
MagickExport MagickBooleanType | FormatImageAttribute (Image *image, const char *key, const char *format,...)
MagickExport void | FormatStringList (char *string, const char *format, va_list operands)
MagickExport void | FormatString (char *string, const char *format,...)
MagickExport unsigned int | FuzzyColorMatch (const PixelPacket *p, const PixelPacket *q, const double fuzz)
MagickExport MagickBooleanType | FuzzyColorCompare (const Image *image, const PixelPacket *p, const PixelPacket *q)
MagickExport MagickBooleanType | FuzzyOpacityCompare (const Image *image, const PixelPacket *p, const PixelPacket *q)
MagickExport void * | GetConfigureBlob (const char *filename, char *path, size_t *length, ExceptionInfo *exception)
MagickExport PixelPacket * | GetCacheView (CacheView *view_info, const long x, const long y, const unsigned long columns, const unsigned long rows)
static void * | DestroyAttribute (void *attribute)
MagickExport const ImageAttribute * | GetImageAttribute (const Image *image, const char *key)
MagickExport const ImageAttribute * | GetImageClippingPathAttribute (Image *image)
MagickExport Image * | GetImageFromMagickRegistry (const char *name, long *id, ExceptionInfo *exception)
MagickExport void * | GetMagickRegistry (const long id, RegistryType *type, size_t *length, ExceptionInfo *exception)
MagickExport int | GetImageGeometry (Image *image, const char *geometry, const unsigned int size_to_fit, RectangleInfo *region_info)
MagickExport Image * | GetImageList (const Image *images, const long offset, ExceptionInfo *exception)
MagickExport long | GetImageListIndex (const Image *images)
MagickExport unsigned long | GetImageListSize (const Image *images)
MagickExport unsigned int | GetMagickGeometry (const char *geometry, long *x, long *y, unsigned long *width, unsigned long *height)
MagickExport Image * | GetNextImage (const Image *images)
MagickExport const ImageAttribute * | GetNextImageAttribute (const Image *image)
MagickExport unsigned int | GetNumberScenes (const Image *image)
MagickExport Image * | GetPreviousImage (const Image *images)
MagickExport void | IdentityAffine (AffineMatrix *affine)
MagickExport void | InitializeMagick (const char *path)
static double | MagickMax (const double x, const double y)
static void | BicubicInterpolate (const MagickPixelPacket *pixels, const double dx, MagickPixelPacket *pixel)
static MagickRealType | CubicWeightingFunction (const MagickRealType x)
static double | MeshInterpolate (const PointInfo *delta, const double p, const double x, const double y)
static long | NearestNeighbor (MagickRealType x)
MagickExport MagickPixelPacket | InterpolatePixelColor (const Image *image, CacheView *image_view, const InterpolatePixelMethod method, const double x, const double y, ExceptionInfo *exception)
MagickExport char * | InterpretImageAttributes (const ImageInfo *image_info, Image *image, const char *embed_text)
MagickExport unsigned int | IsSubimage (const char *geometry, const unsigned int pedantic)
MagickExport void | LiberateMemory (void **memory)
MagickExport void | LiberateSemaphoreInfo (SemaphoreInfo **semaphore_info)
MagickExport void | MagickIncarnate (const char *path)
MagickExport MagickBooleanType | MagickMonitor (const char *text, const MagickOffsetType offset, const MagickSizeType span, void *magick_unused(client_data))
MagickExport MagickBooleanType | MatteFloodfillImage (Image *image, const PixelPacket target, const Quantum opacity, const long x_offset, const long y_offset, const PaintMethod method)
MagickExport Image * | MosaicImages (Image *image, ExceptionInfo *exception)
MagickExport MagickBooleanType | OpaqueImage (Image *image, const PixelPacket target, const PixelPacket fill)
MagickExport MagickBooleanType | PaintFloodfillImage (Image *image, const ChannelType channel, const MagickPixelPacket *target, const long x, const long y, const DrawInfo *draw_info, const PaintMethod method)
MagickExport MagickBooleanType | PaintOpaqueImage (Image *image, const MagickPixelPacket *target, const MagickPixelPacket *fill)
MagickExport MagickBooleanType | PaintOpaqueImageChannel (Image *image, const ChannelType channel, const MagickPixelPacket *target, const MagickPixelPacket *fill)
MagickExport MagickBooleanType | PaintTransparentImage (Image *image, const MagickPixelPacket *target, const Quantum opacity)
MagickExport int | ParseImageGeometry (const char *geometry, long *x, long *y, unsigned long *width, unsigned long *height)
MagickExport Image * | PopImageList (Image **images)
MagickExport MagickBooleanType | PopImagePixels (Image *image, const QuantumType quantum, unsigned char *destination)
MagickExport char * | PostscriptGeometry (const char *page)
MagickExport unsigned int | PushImageList (Image **images, const Image *image, ExceptionInfo *exception)
MagickExport MagickBooleanType | PushImagePixels (Image *image, const QuantumType quantum, const unsigned char *source)
MagickExport unsigned int | QuantizationError (Image *image)
MagickExport unsigned int | RandomChannelThresholdImage (Image *image, const char *channel, const char *thresholds, ExceptionInfo *exception)
MagickExport void | ReacquireMemory (void **memory, const size_t size)
MagickExport void | ResetImageAttributeIterator (const Image *image)
MagickExport void | SetCacheThreshold (const unsigned long size)
MagickExport MagickBooleanType | SetExceptionInfo (ExceptionInfo *exception, ExceptionType severity)
MagickExport void | SetImage (Image *image, const Quantum opacity)
MagickExport MagickBooleanType | SetImageAttribute (Image *image, const char *key, const char *value)
MagickExport unsigned int | SetImageList (Image **images, const Image *image, const long offset, ExceptionInfo *exception)
MagickExport long | SetMagickRegistry (const RegistryType type, const void *blob, const size_t magick_unused(length), ExceptionInfo *exception)
MagickExport MonitorHandler | GetMonitorHandler (void)
MagickExport MonitorHandler | SetMonitorHandler (MonitorHandler handler)
MagickExport Image * | ShiftImageList (Image **images)
MagickExport MagickOffsetType | SizeBlob (const Image *image)
MagickExport Image * | SpliceImageList (Image *images, const long offset, const unsigned long length, const Image *splices, ExceptionInfo *exception)
MagickExport void | Strip (char *message)
MagickExport void | TemporaryFilename (char *path)
MagickExport unsigned int | ThresholdImage (Image *image, const double threshold)
MagickExport unsigned int | ThresholdImageChannel (Image *image, const char *threshold)
MagickExport unsigned int | TransformColorspace (Image *image, const ColorspaceType colorspace)
MagickExport char * | TranslateText (const ImageInfo *image_info, Image *image, const char *embed_text)
MagickExport MagickBooleanType | TransparentImage (Image *image, const PixelPacket target, const Quantum opacity)
MagickExport unsigned int | UnshiftImageList (Image **images, const Image *image, ExceptionInfo *exception)
MagickExport IndexPacket | ValidateColormapIndex (Image *image, const unsigned long index)

## Variables

static MonitorHandler | monitor_handler = (MonitorHandler) NULL

## Define Documentation

#define MaxStacksize (1UL << 15)

#define OpaqueImageTag "Opaque/Image"

#define PushSegmentStack | ( | up,
|  | left,
|  | right,
|  | delta |  | ) |

Value:

    { \
      if (s >= (segment_stack+MaxStacksize)) \
        ThrowBinaryException(DrawError,"SegmentStackOverflow",image->filename) \
      else \
        { \
          if ((((up)+(delta)) >= 0) && (((up)+(delta)) < (long) image->rows)) \
            { \
              s->x1=(double) (left); \
              s->y1=(double) (up); \
              s->x2=(double) (right); \
              s->y2=(double) (delta); \
              s++; \
            } \
        } \
    }

#define RandomChannelThresholdImageText " RandomChannelThreshold image... "

#define ThresholdImageTag "Threshold/Image"

#define ThresholdImageTag "Threshold/Image"

#define TransparentImageTag "Transparent/Image"

## Function Documentation

MagickExport void* AcquireMemory | ( | const size_t | size | ) |

MagickExport char* AllocateString | ( | const char * | source | ) |

static void BicubicInterpolate | ( | const MagickPixelPacket * | pixels,
|  | const double | dx,
|  | MagickPixelPacket * | pixel |
| ) |  |  | `[static]`

MagickExport unsigned int ChannelImage | ( | Image * | image,
|  | const ChannelType | channel |
| ) |  |  |

MagickExport unsigned int ChannelThresholdImage | ( | Image * | image,
|  | const char * | level |
| ) |  |  |

MagickExport MagickBooleanType ClipPathImage | ( | Image * | image,
|  | const char * | pathname,
|  | const MagickBooleanType | inside |
| ) |  |  |

MagickExport MagickBooleanType CloneImageAttributes | ( | Image * | image,
|  | const Image * | clone_image |
| ) |  |  |

MagickExport void* CloneMemory | ( | void * | destination,
|  | const void * | source,
|  | const size_t | size |
| ) |  |  |

MagickExport MagickBooleanType ColorFloodfillImage | ( | Image * | image,
|  | const DrawInfo * | draw_info,
|  | const PixelPacket | target,
|  | const long | x_offset,
|  | const long | y_offset,
|  | const PaintMethod | method |
| ) |  |  |

static MagickRealType CubicWeightingFunction | ( | const MagickRealType | x | ) | `[inline, static]`

MagickExport MagickBooleanType DeleteImageAttribute | ( | Image * | image,
|  | const char * | key |
| ) |  |  |

MagickExport unsigned int DeleteImageList | ( | Image * | images,
|  | const long | offset |
| ) |  |  |

MagickExport MagickBooleanType DeleteMagickRegistry | ( | const long | id | ) |

MagickExport MagickBooleanType DescribeImage | ( | Image * | image,
|  | FILE * | file,
|  | const MagickBooleanType | verbose |
| ) |  |  |

static void* DestroyAttribute | ( | void * | attribute | ) | `[static]`

MagickExport void DestroyImageAttributes | ( | Image * | image | ) |

MagickExport void DestroyImages | ( | Image * | image | ) |

MagickExport void DestroyMagick | ( | void |  | ) |

MagickExport void DestroyMagickRegistry | ( | void |  | ) |

MagickExport unsigned int DispatchImage | ( | const Image * | image,
|  | const long | x_offset,
|  | const long | y_offset,
|  | const unsigned long | columns,
|  | const unsigned long | rows,
|  | const char * | map,
|  | const StorageType | type,
|  | void * | pixels,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport Image* FlattenImages | ( | Image * | image,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport MagickBooleanType FormatImageAttribute | ( | Image * | image,
|  | const char * | key,
|  | const char * | format,
|  |  | ... |
| ) |  |  |

MagickExport MagickBooleanType FormatImageAttributeList | ( | Image * | image,
|  | const char * | key,
|  | const char * | format,
|  | va_list | operands |
| ) |  |  |

MagickExport void FormatString | ( | char * | string,
|  | const char * | format,
|  |  | ... |
| ) |  |  |

MagickExport void FormatStringList | ( | char * | string,
|  | const char * | format,
|  | va_list | operands |
| ) |  |  |

MagickExport MagickBooleanType FuzzyColorCompare | ( | const Image * | image,
|  | const PixelPacket * | p,
|  | const PixelPacket * | q |
| ) |  |  |

MagickExport unsigned int FuzzyColorMatch | ( | const PixelPacket * | p,
|  | const PixelPacket * | q,
|  | const double | fuzz |
| ) |  |  |

MagickExport MagickBooleanType FuzzyOpacityCompare | ( | const Image * | image,
|  | const PixelPacket * | p,
|  | const PixelPacket * | q |
| ) |  |  |

MagickExport PixelPacket* GetCacheView | ( | CacheView * | view_info,
|  | const long | x,
|  | const long | y,
|  | const unsigned long | columns,
|  | const unsigned long | rows |
| ) |  |  |

MagickExport void* GetConfigureBlob | ( | const char * | filename,
|  | char * | path,
|  | size_t * | length,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport const ImageAttribute* GetImageAttribute | ( | const Image * | image,
|  | const char * | key |
| ) |  |  |

MagickExport const ImageAttribute* GetImageClippingPathAttribute | ( | Image * | image | ) |

MagickExport Image* GetImageFromMagickRegistry | ( | const char * | name,
|  | long * | id,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport int GetImageGeometry | ( | Image * | image,
|  | const char * | geometry,
|  | const unsigned int | size_to_fit,
|  | RectangleInfo * | region_info |
| ) |  |  |

MagickExport Image* GetImageList | ( | const Image * | images,
|  | const long | offset,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport long GetImageListIndex | ( | const Image * | images | ) |

MagickExport unsigned long GetImageListSize | ( | const Image * | images | ) |

MagickExport unsigned int GetMagickGeometry | ( | const char * | geometry,
|  | long * | x,
|  | long * | y,
|  | unsigned long * | width,
|  | unsigned long * | height |
| ) |  |  |

MagickExport void* GetMagickRegistry | ( | const long | id,
|  | RegistryType * | type,
|  | size_t * | length,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport MonitorHandler GetMonitorHandler | ( | void |  | ) |

MagickExport Image* GetNextImage | ( | const Image * | images | ) |

MagickExport const ImageAttribute* GetNextImageAttribute | ( | const Image * | image | ) |

MagickExport unsigned int GetNumberScenes | ( | const Image * | image | ) |

MagickExport Image* GetPreviousImage | ( | const Image * | images | ) |

MagickExport void IdentityAffine | ( | AffineMatrix * | affine | ) |

MagickExport void InitializeMagick | ( | const char * | path | ) |

MagickExport MagickPixelPacket InterpolatePixelColor | ( | const Image * | image,
|  | CacheView * | image_view,
|  | const InterpolatePixelMethod | method,
|  | const double | x,
|  | const double | y,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport char* InterpretImageAttributes | ( | const ImageInfo * | image_info,
|  | Image * | image,
|  | const char * | embed_text |
| ) |  |  |

MagickExport unsigned int IsSubimage | ( | const char * | geometry,
|  | const unsigned int | pedantic |
| ) |  |  |

MagickExport void LiberateMemory | ( | void ** | memory | ) |

MagickExport void LiberateSemaphoreInfo | ( | SemaphoreInfo ** | semaphore_info | ) |

MagickExport void MagickIncarnate | ( | const char * | path | ) |

static double MagickMax | ( | const double | x,
|  | const double | y |
| ) |  |  | `[inline, static]`

MagickExport MagickBooleanType MagickMonitor | ( | const char * | text,
|  | const MagickOffsetType | offset,
|  | const MagickSizeType | span,
|  | void * | magick_unused(client_data) |
| ) |  |  |

MagickExport MagickBooleanType MatteFloodfillImage | ( | Image * | image,
|  | const PixelPacket | target,
|  | const Quantum | opacity,
|  | const long | x_offset,
|  | const long | y_offset,
|  | const PaintMethod | method |
| ) |  |  |

static double MeshInterpolate | ( | const PointInfo * | delta,
|  | const double | p,
|  | const double | x,
|  | const double | y |
| ) |  |  | `[inline, static]`

MagickExport Image* MosaicImages | ( | Image * | image,
|  | ExceptionInfo * | exception |
| ) |  |  |

static long NearestNeighbor | ( | MagickRealType | x | ) | `[inline, static]`

MagickExport MagickBooleanType OpaqueImage | ( | Image * | image,
|  | const PixelPacket | target,
|  | const PixelPacket | fill |
| ) |  |  |

MagickExport MagickBooleanType PaintFloodfillImage | ( | Image * | image,
|  | const ChannelType | channel,
|  | const MagickPixelPacket * | target,
|  | const long | x,
|  | const long | y,
|  | const DrawInfo * | draw_info,
|  | const PaintMethod | method |
| ) |  |  |

MagickExport MagickBooleanType PaintOpaqueImage | ( | Image * | image,
|  | const MagickPixelPacket * | target,
|  | const MagickPixelPacket * | fill |
| ) |  |  |

MagickExport MagickBooleanType PaintOpaqueImageChannel | ( | Image * | image,
|  | const ChannelType | channel,
|  | const MagickPixelPacket * | target,
|  | const MagickPixelPacket * | fill |
| ) |  |  |

MagickExport MagickBooleanType PaintTransparentImage | ( | Image * | image,
|  | const MagickPixelPacket * | target,
|  | const Quantum | opacity |
| ) |  |  |

MagickExport int ParseImageGeometry | ( | const char * | geometry,
|  | long * | x,
|  | long * | y,
|  | unsigned long * | width,
|  | unsigned long * | height |
| ) |  |  |

MagickExport Image* PopImageList | ( | Image ** | images | ) |

MagickExport MagickBooleanType PopImagePixels | ( | Image * | image,
|  | const QuantumType | quantum,
|  | unsigned char * | destination |
| ) |  |  |

MagickExport char* PostscriptGeometry | ( | const char * | page | ) |

MagickExport unsigned int PushImageList | ( | Image ** | images,
|  | const Image * | image,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport MagickBooleanType PushImagePixels | ( | Image * | image,
|  | const QuantumType | quantum,
|  | const unsigned char * | source |
| ) |  |  |

MagickExport unsigned int QuantizationError | ( | Image * | image | ) |

MagickExport unsigned int RandomChannelThresholdImage | ( | Image * | image,
|  | const char * | channel,
|  | const char * | thresholds,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport void ReacquireMemory | ( | void ** | memory,
|  | const size_t | size |
| ) |  |  |

MagickExport void ResetImageAttributeIterator | ( | const Image * | image | ) |

MagickExport void SetCacheThreshold | ( | const unsigned long | size | ) |

MagickExport MagickBooleanType SetExceptionInfo | ( | ExceptionInfo * | exception,
|  | ExceptionType | severity |
| ) |  |  |

MagickExport void SetImage | ( | Image * | image,
|  | const Quantum | opacity |
| ) |  |  |

MagickExport MagickBooleanType SetImageAttribute | ( | Image * | image,
|  | const char * | key,
|  | const char * | value |
| ) |  |  |

MagickExport unsigned int SetImageList | ( | Image ** | images,
|  | const Image * | image,
|  | const long | offset,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport long SetMagickRegistry | ( | const RegistryType | type,
|  | const void * | blob,
|  | const size_t | magick_unused(length),
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport MonitorHandler SetMonitorHandler | ( | MonitorHandler | handler | ) |

MagickExport Image* ShiftImageList | ( | Image ** | images | ) |

MagickExport MagickOffsetType SizeBlob | ( | const Image * | image | ) |

MagickExport Image* SpliceImageList | ( | Image * | images,
|  | const long | offset,
|  | const unsigned long | length,
|  | const Image * | splices,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport void Strip | ( | char * | message | ) |

MagickExport void TemporaryFilename | ( | char * | path | ) |

MagickExport unsigned int ThresholdImage | ( | Image * | image,
|  | const double | threshold |
| ) |  |  |

MagickExport unsigned int ThresholdImageChannel | ( | Image * | image,
|  | const char * | threshold |
| ) |  |  |

MagickExport unsigned int TransformColorspace | ( | Image * | image,
|  | const ColorspaceType | colorspace |
| ) |  |  |

MagickExport char* TranslateText | ( | const ImageInfo * | image_info,
|  | Image * | image,
|  | const char * | embed_text |
| ) |  |  |

MagickExport MagickBooleanType TransparentImage | ( | Image * | image,
|  | const PixelPacket | target,
|  | const Quantum | opacity |
| ) |  |  |

MagickExport unsigned int UnshiftImageList | ( | Image ** | images,
|  | const Image * | image,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport IndexPacket ValidateColormapIndex | ( | Image * | image,
|  | const unsigned long | index |
| ) |  |  |

## Variable Documentation

MonitorHandler monitor_handler = (MonitorHandler) NULL`[static]`